#!/bin/sh
# Auf neue Ausgaben von der Gai Dao prüfen, herunterladen.

cd ~/Documents/Zeitungen/Gaidao
ausgaben="$(curl -s https://fda-ifa.org/gaidao/ausgaben/ \
	| grep -Eo 'https://fda-ifa.org/gai-?dao-(nr-)?[0-9]+-[^/]*/')"

for ausgabe in ${ausgaben}; do
	url="$(curl -s ${ausgabe} \
		| grep -Eo 'https://fda-ifa.org/wp-content/uploads/[0-9]{4}/[0-9]{2}/[^ ]*\.epub')"
	file="$(echo ${url} | grep -o '[^/]*\.epub')"
	if [ ! -e ${file} ]; then
		echo "Downloading Gai Dao: ${file}."
		curl -so ${file} ${url}
	fi
done
